diff --git a/src/packages/fff/fff-network/Makefile b/src/packages/fff/fff-network/Makefile
index 85e47b9..e52fdaf 100644
--- a/src/packages/fff/fff-network/Makefile
+++ b/src/packages/fff/fff-network/Makefile
@@ -33,7 +33,7 @@ endef
 
 define Package/$(PKG_NAME)/install
 	$(CP) ./files/* $(1)/
-	test -d ./$(BOARD) && $(CP) ./$(BOARD)/* $(1)/etc/
+	test -d ./$(ARCH) && $(CP) ./$(ARCH)/* $(1)/etc/
 endef
 
 $(eval $(call BuildPackage,$(PKG_NAME)))
diff --git a/src/packages/fff/fff-network/ipq806x/network.tplink,c2600 b/src/packages/fff/fff-network/arm/network.tplink,c2600
similarity index 100%
rename from src/packages/fff/fff-network/ipq806x/network.tplink,c2600
rename to src/packages/fff/fff-network/arm/network.tplink,c2600
diff --git a/src/packages/fff/fff-network/ath79/network.mode b/src/packages/fff/fff-network/ath79/network.mode
deleted file mode 100644
index f3a2793..0000000
--- a/src/packages/fff/fff-network/ath79/network.mode
+++ /dev/null
@@ -1,30 +0,0 @@
-################
-## This file is used to configure the behavior of network interfaces
-## if the routers interfaces differ from the standard WAN+4LAN-Ports
-## +2Wireless APs.
-## If you want to change their behavior, you should edit the file
-## /etc/network.config
-## After that you have to reboot the router with following command.
-#reboot
-#
-### The canonical syntax of this file is:
-#SPECIFIER="MODE"
-### MODES
-## Generally there are 3 operating modes for network interfaces in fff.
-#BATMAN: The interface is used to mesh with other fff-nodes
-#WAN:    The interface is used to connect to supernodes via vpn and
-#         ordinary internet.
-#CLIENT: The interface is used to connect clients to the fff-net
-##
-### SPECIFIER
-## For devices only including one ethernet port the specifier is called
-## ETHMODE. The default mode for these devices is "BATMAN".
-## For example this is the case for: gl-ar150, tl-mr3020-v1, tl-wa850re-v1,
-## tl-wa860re-v1, tl-wa901nd-v2, ubnt-bullet-m, ubnt-loco-m-xw, ubnt-nano-m,
-## ubnt-unifi
-ETHMODE="CLIENT"
-## Devices featuring 2 ethernet ports are configured by SPECIFIERs ressembling
-## the labels on the PORT itself. For the cpe210 these are called LAN0 and LAN1.
-## Therefore they are configured as follows:
-LAN0MODE="WAN"
-LAN1MODE="CLIENT"
diff --git a/src/packages/fff/fff-network/ar71xx/network.cpe210 b/src/packages/fff/fff-network/mips/network.cpe210
similarity index 100%
rename from src/packages/fff/fff-network/ar71xx/network.cpe210
rename to src/packages/fff/fff-network/mips/network.cpe210
diff --git a/src/packages/fff/fff-network/ar71xx/network.cpe510 b/src/packages/fff/fff-network/mips/network.cpe510
similarity index 100%
rename from src/packages/fff/fff-network/ar71xx/network.cpe510
rename to src/packages/fff/fff-network/mips/network.cpe510
diff --git a/src/packages/fff/fff-network/ath79/network.glinet,gl-ar150 b/src/packages/fff/fff-network/mips/network.glinet,gl-ar150
similarity index 100%
rename from src/packages/fff/fff-network/ath79/network.glinet,gl-ar150
rename to src/packages/fff/fff-network/mips/network.glinet,gl-ar150
diff --git a/src/packages/fff/fff-network/ar71xx/network.mode b/src/packages/fff/fff-network/mips/network.mode
similarity index 100%
rename from src/packages/fff/fff-network/ar71xx/network.mode
rename to src/packages/fff/fff-network/mips/network.mode
diff --git a/src/packages/fff/fff-network/ath79/network.tplink,archer-c25-v1 b/src/packages/fff/fff-network/mips/network.tplink,archer-c25-v1
similarity index 100%
rename from src/packages/fff/fff-network/ath79/network.tplink,archer-c25-v1
rename to src/packages/fff/fff-network/mips/network.tplink,archer-c25-v1
diff --git a/src/packages/fff/fff-network/ath79/network.tplink,archer-c60-v1 b/src/packages/fff/fff-network/mips/network.tplink,archer-c60-v1
similarity index 100%
rename from src/packages/fff/fff-network/ath79/network.tplink,archer-c60-v1
rename to src/packages/fff/fff-network/mips/network.tplink,archer-c60-v1
diff --git a/src/packages/fff/fff-network/ath79/network.tplink,archer-c60-v2 b/src/packages/fff/fff-network/mips/network.tplink,archer-c60-v2
similarity index 100%
rename from src/packages/fff/fff-network/ath79/network.tplink,archer-c60-v2
rename to src/packages/fff/fff-network/mips/network.tplink,archer-c60-v2
diff --git a/src/packages/fff/fff-network/ath79/network.tplink,archer-c7-v2 b/src/packages/fff/fff-network/mips/network.tplink,archer-c7-v2
similarity index 100%
rename from src/packages/fff/fff-network/ath79/network.tplink,archer-c7-v2
rename to src/packages/fff/fff-network/mips/network.tplink,archer-c7-v2
diff --git a/src/packages/fff/fff-network/ath79/network.tplink,archer-c7-v5 b/src/packages/fff/fff-network/mips/network.tplink,archer-c7-v5
similarity index 100%
rename from src/packages/fff/fff-network/ath79/network.tplink,archer-c7-v5
rename to src/packages/fff/fff-network/mips/network.tplink,archer-c7-v5
diff --git a/src/packages/fff/fff-network/ath79/network.tplink,cpe210-v2 b/src/packages/fff/fff-network/mips/network.tplink,cpe210-v2
similarity index 100%
rename from src/packages/fff/fff-network/ath79/network.tplink,cpe210-v2
rename to src/packages/fff/fff-network/mips/network.tplink,cpe210-v2
diff --git a/src/packages/fff/fff-network/ath79/network.tplink,cpe210-v3 b/src/packages/fff/fff-network/mips/network.tplink,cpe210-v3
similarity index 100%
rename from src/packages/fff/fff-network/ath79/network.tplink,cpe210-v3
rename to src/packages/fff/fff-network/mips/network.tplink,cpe210-v3
diff --git a/src/packages/fff/fff-network/ath79/network.tplink,tl-mr3020-v1 b/src/packages/fff/fff-network/mips/network.tplink,tl-mr3020-v1
similarity index 100%
rename from src/packages/fff/fff-network/ath79/network.tplink,tl-mr3020-v1
rename to src/packages/fff/fff-network/mips/network.tplink,tl-mr3020-v1
diff --git a/src/packages/fff/fff-network/ath79/network.tplink,tl-wa850re-v1 b/src/packages/fff/fff-network/mips/network.tplink,tl-wa850re-v1
similarity index 100%
rename from src/packages/fff/fff-network/ath79/network.tplink,tl-wa850re-v1
rename to src/packages/fff/fff-network/mips/network.tplink,tl-wa850re-v1
diff --git a/src/packages/fff/fff-network/ath79/network.tplink,tl-wa860re-v1 b/src/packages/fff/fff-network/mips/network.tplink,tl-wa860re-v1
similarity index 100%
rename from src/packages/fff/fff-network/ath79/network.tplink,tl-wa860re-v1
rename to src/packages/fff/fff-network/mips/network.tplink,tl-wa860re-v1
diff --git a/src/packages/fff/fff-network/ath79/network.tplink,tl-wa901nd-v2 b/src/packages/fff/fff-network/mips/network.tplink,tl-wa901nd-v2
similarity index 100%
rename from src/packages/fff/fff-network/ath79/network.tplink,tl-wa901nd-v2
rename to src/packages/fff/fff-network/mips/network.tplink,tl-wa901nd-v2
diff --git a/src/packages/fff/fff-network/ath79/network.tplink,tl-wdr3500-v1 b/src/packages/fff/fff-network/mips/network.tplink,tl-wdr3500-v1
similarity index 100%
rename from src/packages/fff/fff-network/ath79/network.tplink,tl-wdr3500-v1
rename to src/packages/fff/fff-network/mips/network.tplink,tl-wdr3500-v1
diff --git a/src/packages/fff/fff-network/ath79/network.tplink,tl-wdr3600-v1 b/src/packages/fff/fff-network/mips/network.tplink,tl-wdr3600-v1
similarity index 100%
rename from src/packages/fff/fff-network/ath79/network.tplink,tl-wdr3600-v1
rename to src/packages/fff/fff-network/mips/network.tplink,tl-wdr3600-v1
diff --git a/src/packages/fff/fff-network/ath79/network.tplink,tl-wdr4300-v1 b/src/packages/fff/fff-network/mips/network.tplink,tl-wdr4300-v1
similarity index 100%
rename from src/packages/fff/fff-network/ath79/network.tplink,tl-wdr4300-v1
rename to src/packages/fff/fff-network/mips/network.tplink,tl-wdr4300-v1
diff --git a/src/packages/fff/fff-network/ath79/network.tplink,tl-wdr4310-v1 b/src/packages/fff/fff-network/mips/network.tplink,tl-wdr4310-v1
similarity index 100%
rename from src/packages/fff/fff-network/ath79/network.tplink,tl-wdr4310-v1
rename to src/packages/fff/fff-network/mips/network.tplink,tl-wdr4310-v1
diff --git a/src/packages/fff/fff-network/ath79/network.tplink,tl-wr1043n-v5 b/src/packages/fff/fff-network/mips/network.tplink,tl-wr1043n-v5
similarity index 100%
rename from src/packages/fff/fff-network/ath79/network.tplink,tl-wr1043n-v5
rename to src/packages/fff/fff-network/mips/network.tplink,tl-wr1043n-v5
diff --git a/src/packages/fff/fff-network/ath79/network.tplink,tl-wr1043nd-v1 b/src/packages/fff/fff-network/mips/network.tplink,tl-wr1043nd-v1
similarity index 100%
rename from src/packages/fff/fff-network/ath79/network.tplink,tl-wr1043nd-v1
rename to src/packages/fff/fff-network/mips/network.tplink,tl-wr1043nd-v1
diff --git a/src/packages/fff/fff-network/ath79/network.tplink,tl-wr1043nd-v2 b/src/packages/fff/fff-network/mips/network.tplink,tl-wr1043nd-v2
similarity index 100%
rename from src/packages/fff/fff-network/ath79/network.tplink,tl-wr1043nd-v2
rename to src/packages/fff/fff-network/mips/network.tplink,tl-wr1043nd-v2
diff --git a/src/packages/fff/fff-network/ath79/network.tplink,tl-wr1043nd-v3 b/src/packages/fff/fff-network/mips/network.tplink,tl-wr1043nd-v3
similarity index 100%
rename from src/packages/fff/fff-network/ath79/network.tplink,tl-wr1043nd-v3
rename to src/packages/fff/fff-network/mips/network.tplink,tl-wr1043nd-v3
diff --git a/src/packages/fff/fff-network/ath79/network.tplink,tl-wr1043nd-v4 b/src/packages/fff/fff-network/mips/network.tplink,tl-wr1043nd-v4
similarity index 100%
rename from src/packages/fff/fff-network/ath79/network.tplink,tl-wr1043nd-v4
rename to src/packages/fff/fff-network/mips/network.tplink,tl-wr1043nd-v4
diff --git a/src/packages/fff/fff-network/ath79/network.tplink,tl-wr740n-v4 b/src/packages/fff/fff-network/mips/network.tplink,tl-wr740n-v4
similarity index 100%
rename from src/packages/fff/fff-network/ath79/network.tplink,tl-wr740n-v4
rename to src/packages/fff/fff-network/mips/network.tplink,tl-wr740n-v4
diff --git a/src/packages/fff/fff-network/ath79/network.tplink,tl-wr741-v1 b/src/packages/fff/fff-network/mips/network.tplink,tl-wr741-v1
similarity index 100%
rename from src/packages/fff/fff-network/ath79/network.tplink,tl-wr741-v1
rename to src/packages/fff/fff-network/mips/network.tplink,tl-wr741-v1
diff --git a/src/packages/fff/fff-network/ath79/network.tplink,tl-wr741nd-v4 b/src/packages/fff/fff-network/mips/network.tplink,tl-wr741nd-v4
similarity index 100%
rename from src/packages/fff/fff-network/ath79/network.tplink,tl-wr741nd-v4
rename to src/packages/fff/fff-network/mips/network.tplink,tl-wr741nd-v4
diff --git a/src/packages/fff/fff-network/ath79/network.tplink,tl-wr841-v10 b/src/packages/fff/fff-network/mips/network.tplink,tl-wr841-v10
similarity index 100%
rename from src/packages/fff/fff-network/ath79/network.tplink,tl-wr841-v10
rename to src/packages/fff/fff-network/mips/network.tplink,tl-wr841-v10
diff --git a/src/packages/fff/fff-network/ath79/network.tplink,tl-wr841-v11 b/src/packages/fff/fff-network/mips/network.tplink,tl-wr841-v11
similarity index 100%
rename from src/packages/fff/fff-network/ath79/network.tplink,tl-wr841-v11
rename to src/packages/fff/fff-network/mips/network.tplink,tl-wr841-v11
diff --git a/src/packages/fff/fff-network/ath79/network.tplink,tl-wr841-v12 b/src/packages/fff/fff-network/mips/network.tplink,tl-wr841-v12
similarity index 100%
rename from src/packages/fff/fff-network/ath79/network.tplink,tl-wr841-v12
rename to src/packages/fff/fff-network/mips/network.tplink,tl-wr841-v12
diff --git a/src/packages/fff/fff-network/ath79/network.tplink,tl-wr841-v7 b/src/packages/fff/fff-network/mips/network.tplink,tl-wr841-v7
similarity index 100%
rename from src/packages/fff/fff-network/ath79/network.tplink,tl-wr841-v7
rename to src/packages/fff/fff-network/mips/network.tplink,tl-wr841-v7
diff --git a/src/packages/fff/fff-network/ath79/network.tplink,tl-wr841-v8 b/src/packages/fff/fff-network/mips/network.tplink,tl-wr841-v8
similarity index 100%
rename from src/packages/fff/fff-network/ath79/network.tplink,tl-wr841-v8
rename to src/packages/fff/fff-network/mips/network.tplink,tl-wr841-v8
diff --git a/src/packages/fff/fff-network/ath79/network.tplink,tl-wr841-v9 b/src/packages/fff/fff-network/mips/network.tplink,tl-wr841-v9
similarity index 100%
rename from src/packages/fff/fff-network/ath79/network.tplink,tl-wr841-v9
rename to src/packages/fff/fff-network/mips/network.tplink,tl-wr841-v9
diff --git a/src/packages/fff/fff-network/ath79/network.tplink,tl-wr842n-v2 b/src/packages/fff/fff-network/mips/network.tplink,tl-wr842n-v2
similarity index 100%
rename from src/packages/fff/fff-network/ath79/network.tplink,tl-wr842n-v2
rename to src/packages/fff/fff-network/mips/network.tplink,tl-wr842n-v2
diff --git a/src/packages/fff/fff-network/ath79/network.ubnt,bullet-m b/src/packages/fff/fff-network/mips/network.ubnt,bullet-m
similarity index 100%
rename from src/packages/fff/fff-network/ath79/network.ubnt,bullet-m
rename to src/packages/fff/fff-network/mips/network.ubnt,bullet-m
diff --git a/src/packages/fff/fff-network/ath79/network.ubnt,nanostation-loco-m b/src/packages/fff/fff-network/mips/network.ubnt,nanostation-loco-m
similarity index 100%
rename from src/packages/fff/fff-network/ath79/network.ubnt,nanostation-loco-m
rename to src/packages/fff/fff-network/mips/network.ubnt,nanostation-loco-m
diff --git a/src/packages/fff/fff-network/ath79/network.ubnt,nanostation-loco-m-xw b/src/packages/fff/fff-network/mips/network.ubnt,nanostation-loco-m-xw
similarity index 100%
rename from src/packages/fff/fff-network/ath79/network.ubnt,nanostation-loco-m-xw
rename to src/packages/fff/fff-network/mips/network.ubnt,nanostation-loco-m-xw
diff --git a/src/packages/fff/fff-network/ath79/network.ubnt,nanostation-m b/src/packages/fff/fff-network/mips/network.ubnt,nanostation-m
similarity index 100%
rename from src/packages/fff/fff-network/ath79/network.ubnt,nanostation-m
rename to src/packages/fff/fff-network/mips/network.ubnt,nanostation-m
diff --git a/src/packages/fff/fff-network/ath79/network.ubnt,picostation-m b/src/packages/fff/fff-network/mips/network.ubnt,picostation-m
similarity index 100%
rename from src/packages/fff/fff-network/ath79/network.ubnt,picostation-m
rename to src/packages/fff/fff-network/mips/network.ubnt,picostation-m
diff --git a/src/packages/fff/fff-network/ath79/network.ubnt,unifi b/src/packages/fff/fff-network/mips/network.ubnt,unifi
similarity index 100%
rename from src/packages/fff/fff-network/ath79/network.ubnt,unifi
rename to src/packages/fff/fff-network/mips/network.ubnt,unifi
diff --git a/src/packages/fff/fff-network/ath79/network.ubnt,unifiac-mesh b/src/packages/fff/fff-network/mips/network.ubnt,unifiac-mesh
similarity index 100%
rename from src/packages/fff/fff-network/ath79/network.ubnt,unifiac-mesh
rename to src/packages/fff/fff-network/mips/network.ubnt,unifiac-mesh
diff --git a/src/packages/fff/fff-network/ramips/network.tl-wr841n-v13 b/src/packages/fff/fff-network/mipsel/network.tl-wr841n-v13
similarity index 100%
rename from src/packages/fff/fff-network/ramips/network.tl-wr841n-v13
rename to src/packages/fff/fff-network/mipsel/network.tl-wr841n-v13
diff --git a/src/packages/fff/fff-network/ramips/network.tplink,c50-v3 b/src/packages/fff/fff-network/mipsel/network.tplink,c50-v3
similarity index 100%
rename from src/packages/fff/fff-network/ramips/network.tplink,c50-v3
rename to src/packages/fff/fff-network/mipsel/network.tplink,c50-v3
diff --git a/src/packages/fff/fff-network/ramips/network.ubnt-erx b/src/packages/fff/fff-network/mipsel/network.ubnt-erx
similarity index 100%
rename from src/packages/fff/fff-network/ramips/network.ubnt-erx
rename to src/packages/fff/fff-network/mipsel/network.ubnt-erx
diff --git a/src/packages/fff/fff-network/ramips/network.ubnt-erx-sfp b/src/packages/fff/fff-network/mipsel/network.ubnt-erx-sfp
similarity index 100%
rename from src/packages/fff/fff-network/ramips/network.ubnt-erx-sfp
rename to src/packages/fff/fff-network/mipsel/network.ubnt-erx-sfp
diff --git a/src/packages/fff/fff-network/mpc85xx/network.tplink,tl-wdr4900-v1 b/src/packages/fff/fff-network/powerpc/network.tplink,tl-wdr4900-v1
similarity index 100%
rename from src/packages/fff/fff-network/mpc85xx/network.tplink,tl-wdr4900-v1
rename to src/packages/fff/fff-network/powerpc/network.tplink,tl-wdr4900-v1
